// UCBioBSP_DemoDlg.h : header file
//

#if !defined(AFX_UCBioBSP_DemoDlg_H__5647ADDD_B4CF_42A7_818E_EE17C9183FDF__INCLUDED_)
#define AFX_UCBioBSP_DemoDlg_H__5647ADDD_B4CF_42A7_818E_EE17C9183FDF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "UCBioAPI.h"

/////////////////////////////////////////////////////////////////////////////
// CUCBioBSP_DemoDlg dialog

class CUCBioBSP_DemoDlg : public CDialog
{
// Construction
public:
	CUCBioBSP_DemoDlg(CWnd* pParent = NULL);	// standard constructor

   UCBioAPI_HANDLE            m_hUCBioAPI;

   UCBioAPI_UINT32            m_nNumDevice;
   UCBioAPI_DEVICE_ID*        m_pDeviceID;
   UCBioAPI_DEVICE_INFO_EX*   m_pDeviceInfoEx;
   UCBioAPI_DEVICE_ID         m_nLastOpenedDeviceID;

   UCBioAPI_FIR_HANDLE        m_hEnrolledFIR, m_hCapturedFIR;

   void EnumDeviceList();
   void UpdateButtonStatus();

// Dialog Data
	//{{AFX_DATA(CUCBioBSP_DemoDlg)
	enum { IDD = IDD_UCBIOBSP_DEMO_DIALOG };
	CButton	m_btnEnroll;
	CButton	m_btnVerify;
	CButton	m_btnRemove;
	CButton	m_radioText;
   CButton	m_radioBinary;
   CButton	m_radioHandle;
	CComboBox	m_comboDeviceList;
	UINT	m_nDefaultTimeout;
	UINT	m_nMaxFingerForEnroll;
	UINT	m_nNecessaryEnrollNum;
	UINT	m_nSamplesPerFinger;
	UINT	m_nSecuLevelForEnroll;
	UINT	m_nSecuLevelForVerify;
	UINT	m_nSecuLevelForIdentify;
	UINT	m_nDeviceWidth;
	UINT	m_nDeviceHeight;
	CString	m_szPayload;
	BOOL	m_AutoDetect;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUCBioBSP_DemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CUCBioBSP_DemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeComboDeviceList();
	afx_msg void OnDestroy();
	afx_msg void OnButtonRefreshInitinfo();
	afx_msg void OnButtonSetinit();
	afx_msg void OnButtonEnroll();
	afx_msg void OnButtonVerify();
	afx_msg void OnButtonRemove();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UCBioBSP_DemoDlg_H__5647ADDD_B4CF_42A7_818E_EE17C9183FDF__INCLUDED_)
